# $Revision: 1.8 $, $Date: 2011/11/28 09:15:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Scrubber
Summary:	HTML::Scrubber - Perl extension for scrubbing/sanitizing HTML
Summary(pl.UTF-8):	HTML::Scrubber - rozszerzenie Perla do czyszczenia HTML-a
Name:		perl-HTML-Scrubber
Version:	0.09
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a0f7bd0a29a4c7b1bec5495ad9bfb00e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Parser >= 3
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you wanna "scrub" or "sanitize" HTML input in a reliable and
flexible fashion, then this module is for you.

I wasn't satisfied with HTML::Sanitizer because it is based on
HTML::TreeBuilder, so I thought I'd write something similar that works
directly with HTML::Parser.

%description -l pl.UTF-8
Jeśli chcemy "oczyścić" albo "uporządkować" wejście w HTML w
wiarygodnym i elastycznym stylu, ten moduł ma zastosowanie.

Autor nie był usatysfakcjonowany HTML::Sanitizer, ponieważ jest oparty
na HTML::TreeBuilder, więc stwierdził, że napisze coś podobnego
działającego bezpośrednio z modułem HTML::Parser.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTML/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Scrubber.spec,v $
Revision 1.8  2011/11/28 09:15:30  arekm
- up to 0.09

Revision 1.7  2008/07/27 22:36:52  arekm
- release 2

Revision 1.6  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:25  paladine
- formatting

Revision 1.3  2004/11/03 13:05:25  paladine
- spaces->tabs

Revision 1.2  2004/08/24 22:00:43  qboosh
- pl

Revision 1.1  2004/08/24 15:07:30  radek
- new
